---
lang: en
title: 'API docs: rest.compareroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.compareroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [compareRoute](./rest.compareroute.md)

## compareRoute() function

Compare two routes by verb/path for sorting

**Signature:**

```typescript
export declare function compareRoute(route1: Pick<RouteEntry, 'verb' | 'path'>, route2: Pick<RouteEntry, 'verb' | 'path'>): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

route1


</td><td>

Pick&lt;[RouteEntry](./rest.routeentry.md)<!-- -->, 'verb' \| 'path'&gt;


</td><td>

First route entry


</td></tr>
<tr><td>

route2


</td><td>

Pick&lt;[RouteEntry](./rest.routeentry.md)<!-- -->, 'verb' \| 'path'&gt;


</td><td>

Second route entry


</td></tr>
</tbody></table>

**Returns:**

number


